OF: server_command_list
SF: command.c
HC: prototypes for the server command handlers
CC: array of server commands
AT: server_command
IN: para error string afh afs server list user_list
SN: list of server commands
---
N: ff
P: VSS_READ | VSS_WRITE
D: Jump amount of time forwards or backwards in current audio file.
U: ff n[-]
H: Set the 'R' (reposition request) bit of the vss status flags
H: and enqueue a request to jump n seconds forwards or backwards
H: in the current audio file.
H:
H: EXAMPLE
H:
H:	ff 30-
H:
H: jumps 30 seconds backwards.
---
N: help
P: 0
D: Print online help.
U: help [command]
H: Without any arguments, help prints a list of available commands. When
H: issued with a command name as first argument, print out a description
H: for that command.
---
N: hup
P: VSS_WRITE
D: Force reload of config file, log file and user list.
U: hup
H: Reread the config file and the user list file, close and reopen the log
H: file, and tell all children to do the same.
---
N: jmp
P: VSS_READ | VSS_WRITE
D: Jump to given position in current audio file.
U: jmp [n]
H: Set the 'R' (reposition request) bit of the vss status flags
H: and enqueue a request to jump to n% of the current audio file,
H: where 0 <= n <= 100.
---
N: next
P: VSS_READ | VSS_WRITE
D: Skip rest of the current audio file.
U: next
H: Set the 'N' (next audio file) bit of the vss status flags. When
H: playing, change audio file immediately. Equivalent to stop
H: if paused, NOP if stopped.
---
N: nomore
P: VSS_READ | VSS_WRITE
D: Stop playing after current audio file.
U: nomore
H: Set the 'O' (no more) bit of the vss status flags. This instructs
H: para_server to clear the 'P' (playing) bit as soon as it encounters
H: the 'N' (next audio file) bit being set.
H: Use this command instead of stop if you don't like
H: sudden endings.
---
N: pause
P: VSS_READ | VSS_WRITE
D: Pause current audio file.
U: pause
H: Clear the 'P' (playing) bit of the vss status flags.
---
N: play
P: VSS_READ | VSS_WRITE
D: Start playing or resume playing when paused.
U: play
H: Set the 'P' (playing) bit of the vss status flags. This
H: results in starting/continuing to stream.
---
N: sender
P: VSS_READ | VSS_WRITE
D: Control paraslash internal senders.
U: sender [s cmd [arguments]]
H: send command cmd to sender s. cmd may be one of the following:
H: help, on, off, add, delete, allow, or deny. Note that not all senders
H: support each command. Try e.g. 'para_client sender http help' for
H: more information about the http sender. If no argument is given,
H: print out a list of all senders that are compiled in.
---
N: si
P: 0
D: Print server info.
U: si
H: Print server uptime and other information.
---
N: stat
P: VSS_READ
D: Print status info for current audio file.
U: stat [n]
H: Without any arguments, stat continuously prints status messages
H: about the audio file being streamed. Use the optional number n
H: to let stat exit after having displayed status n times.
---
N: stop
P: VSS_READ | VSS_WRITE
D: Stop streaming.
U: stop
H: Clear the 'P' (play) bit and set the 'N' bit of the vss status
H: flags.
---
N: term
P: VSS_READ | VSS_WRITE
D: Terminate para_server.
U: term
H: Shuts down the server. Instead of this command, you can also send
H: SIGINT or SIGTERM. It should never be necessary to send SIGKILL.
---
N: version
P: 0
D: Print server's version.
U: version
H: Show version and other info
